For the complete documentation index, see llms.txt. Markdown versions of the documentation pages are available from that index.
solscan logo
Register NowRegister Now

token markets

get

https://pro-api.solscan.io/v2.0/token/markets

Get token markets

QUERY PARAMS

token

array

required

1 token: search all market/pool by token. 2 tokens: search by pair

Maximum allowed values: 2

sort_by

string

Field to sort by

program

array

Filter by list program addresses. Maximum 5 addresses

Maximum allowed values: 5

page

number

Page number for pagination

page_size

number

Number of items per page

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Request status

pool_id

string

Pool Address

program_id

string

Program Address

token_1

string

Token 1 Address

token_2

string

Token 2 Address

token_account_1

string

Token 1 Account Address

token_account_2

string

Token 2 Account Address

total_trades_24h

number

Total trades in 24h

total_trades_prev_24h

number

Total trades in previous 24h

total_volume_24h

number

Total volume in 24h

total_volume_prev_24h

number

Total volume in previous 24h

total_tvl

number

Total tvl

num_trader_24h

number

Number traders in 24h

num_trader_prev_24h

number

Number traders in previous 24h

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples